IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_MAN_PED_TRANSF_CRED_CBS_PEND ]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_MAN_PED_TRANSF_CRED_CBS_PEND ]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_MAN_PED_TRANSF_CRED_CBS_PEND ] ON [dbo].[EST_NFE_MAN_PED_TRANSF_CRED_CBS] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_MAN_PED_TRANSF_CRED_CBS_PEND (CD_CTR_MAN_PED_TRANSF_CRED_CBS     , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_MAN_PED_TRANSF_CRED_CBS     , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_MAN_PED_TRANSF_CRED_CBS      
					FROM 
						EST_NFE_MAN_PED_TRANSF_CRED_CBS_PEND pend
					WHERE 
						t.CD_CTR_MAN_PED_TRANSF_CRED_CBS      = pend.CD_CTR_MAN_PED_TRANSF_CRED_CBS     );



